Get Vendor Wallets
curl --request GET \
--url https://api.topsort.com/public/v1/billing-service/vendors/{external-vendor-id}/wallets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/billing-service/vendors/{external-vendor-id}/wallets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/billing-service/vendors/{external-vendor-id}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"wallets": [
{
"walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"balance": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Billing API
Get Vendor Wallets
Endpoint to list all the wallets of a vendor.
GET
/
public
/
v1
/
billing-service
/
vendors
/
{external-vendor-id}
/
wallets
Get Vendor Wallets
Autorisierungen
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Pfadparameter
The External ID of the Vendor to retrieve.
Minimum string length:
1Antwort
Successful Response
List of wallets available for the vendor.
Show child attributes
Show child attributes
War diese Seite hilfreich?
⌘I